---
title: VisualViewport.height
slug: Web/API/VisualViewport/height
tags:
  - API
  - Property
  - Reference
  - Visual Viewport API
  - VisualViewport
  - height
  - viewport
---
<p>{{SeeCompatTable}}{{APIRef("Visual Viewport")}}</p>

<p>The <strong><code>height</code></strong> read-only property of the {{domxref("VisualViewport")}} interface returns the height of the visual viewport, in CSS pixels.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>height</em> = VisualViewport.height</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Visual Viewport','#dom-visualviewport-height','height')}}</td>
   <td>{{Spec2('Visual Viewport')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VisualViewport.height")}}</p>
